## org.eclipse.jst.jsf.context.resolver.structureddocument
Interface IDOMContextResolver

All Superinterfaces:
  IContextResolver, IDocumentContextResolver

    public interface IDOMContextResolver

extends IDocumentContextResolver

Defines a type of context resolver used to resolve the current context in the XML DOM context. This interface may be sub-classed or implemented by clients

Method Summary
`org.w3c.dom.Document` `getDOMDocument()`
`org.w3c.dom.Node` `getNode()`

Methods inherited from interface org.eclipse.jst.jsf.context.resolver.IContextResolver
`canResolveContext`

Method Detail

### getDOMDocument

    org.w3c.dom.Document getDOMDocument()

  Returns:
    the complete DOM Document for this context or null if it cannot be resolved.

### getNode

    org.w3c.dom.Node getNode()

  Returns:
    the node which the current context is pointing to. If document context is on an attribute will return that attribute